package util.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Repeatable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(CJCommands.class)
public @interface CJCommand {
	String name();
	String prompt();
	String rel();
	String method();
	String[] precondition();
	CJson[] data();
}